Menu

## Footnotes_WYSIWYG

wysiwyg.php : 15

Handles the WSYIWYG-Buttons.

##### Tags

since
  1.5.0

### Table of Contents

ajax_callback() : mixed
  AJAX Callback function when the Footnotes Button is clicked. Either in the Plain text or Visual editor.
include_scripts() : array<string|int, mixed>
  Includes the Plugins WYSIWYG editor script.
new_plain_text_editor_button() : mixed
  Add a new button to the plain text editor.
new_visual_editor_button() : array<string|int, mixed>
  Append a new Button to the WYSIWYG editor of Posts and Pages.
register_hooks() : void
  Registers Button hooks.

### Methods

#### ajax_callback()

wysiwyg.php : 87

AJAX Callback function when the Footnotes Button is clicked. Either in the Plain text or Visual editor.

`public static ajax_callback() : mixed`

Returns an JSON encoded array with the Footnotes start and end short code.

##### Tags

since
  1.5.0

##### Return values

mixed —

#### include_scripts()

wysiwyg.php : 76

Includes the Plugins WYSIWYG editor script.

`public static include_scripts(array<string|int, mixed> $p_arr_plugins) : array<string|int, mixed>`

##### Parameters

$p_arr_plugins : array<string|int, mixed>

  Scripts to be included to the editor.

##### Tags

since
  1.5.0

##### Return values

array<string|int, mixed> —

#### new_plain_text_editor_button()

wysiwyg.php : 62

Add a new button to the plain text editor.

`public static new_plain_text_editor_button() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

#### new_visual_editor_button()

wysiwyg.php : 52

Append a new Button to the WYSIWYG editor of Posts and Pages.

`public static new_visual_editor_button(array<string|int, mixed> $p_arr_buttons) : array<string|int, mixed>`

##### Parameters

$p_arr_buttons : array<string|int, mixed>

  pre defined Buttons from WordPress.

##### Tags

since
  1.5.0

##### Return values

array<string|int, mixed> —

#### register_hooks()

wysiwyg.php : 30

Registers Button hooks.

`public static register_hooks() : void`

##### Tags

since
  1.5.0
  - Bugfix: Editor buttons: debug button by reverting name change in PHP file while JS file and HTML template remained unsynced, thanks to @gova bug report.
since
  2.6.5
reporter

  @gova

link
  https://wordpress.org/support/topic/back-end-footnotes-not-working-400-bad-erro/

##### Return values

void —

## Search results